Rapid7 Vulnerability & Exploit Database

VMware Workstation: Vulnerability (VMSA-2020-0020) (CVE-2020-3990)

Back to Search

VMware Workstation: Vulnerability (VMSA-2020-0020) (CVE-2020-3990)

Severity
2
CVSS
(AV:L/AC:L/Au:N/C:P/I:N/A:N)
Published
09/16/2020
Created
10/20/2020
Added
10/20/2020
Modified
02/01/2021

Description

VMware Workstation (15.x) and Horizon Client for Windows (5.x before 5.4.4) contain an information disclosure vulnerability due to an integer overflow issue in Cortado ThinPrint component. A malicious actor with normal access to a virtual machine may be able to exploit this issue to leak memory from TPView process running on the system where Workstation or Horizon Client for Windows is installed. Exploitation is only possible if virtual printing has been enabled. This feature is not enabled by default on Workstation but it is enabled by default on Horizon Client.

Solution(s)

  • vmware-workstation-upgrade-15_5_7

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;